# Interface CloseEvent

interface CloseEvent {
code: number;
reason: string;
target: WebSocket.WebSocket;
type: string;
wasClean: boolean;
}

- Defined in node_modules/@types/ws/index.d.ts:296

#####
Index

### Properties

code
reason
target
type
wasClean

## Properties

### code

code: number

- Defined in node_modules/@types/ws/index.d.ts:298

### reason

reason: string

- Defined in node_modules/@types/ws/index.d.ts:299

### target

target: WebSocket.WebSocket

- Defined in node_modules/@types/ws/index.d.ts:301

### type

type: string

- Defined in node_modules/@types/ws/index.d.ts:300

### wasClean

wasClean: boolean

- Defined in node_modules/@types/ws/index.d.ts:297